Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1205)

Unified Diff: pylint

Issue 10447014: Add pylint to depot_tools. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: Run pylint in subprocess rather than importing. Created 8 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: pylint
diff --git a/pylint b/pylint
new file mode 100644
index 0000000000000000000000000000000000000000..02cd5a4e0e3979ed4d52beb4baa16147ebbd6a5b
--- /dev/null
+++ b/pylint
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# pylint -- a shell wrapper for pylint.py.
+
+base_dir=$(dirname "$0")
+
+# Test if this script is running under a MSys install. If it is, we will
+# hardcode the path to Python where possible.
+OUTPUT="$(uname | grep 'MINGW')"
+MINGW=$?
+
+if [ -d "$base_dir/python_bin" -a $MINGW = 0 ]; then
+ PYTHONDONTWRITEBYTECODE=1 exec "$base_dir/python_bin/python.exe" "$base_dir"/pylint.py "$@"
+else
+ PYTHONDONTWRITEBYTECODE=1 exec "$base_dir/pylint.py" "$@"
+fi
« bootstrap/win/pylint.new.bat ('K') | « presubmit_canned_checks.py ('k') | pylint.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698